<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-52"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20%2FUsers%2Fscar1900%2FDeveloper%2FXHXKit%2FXHXKit%2FClasses%2FBase%2FDefine%2FKKLOnlineRoutePaths.h%20%E6%96%87%E4%BB%B6%E5%8F%82%E8%80%83"></a><title>XHXKit: /Users/scar1900/Developer/XHXKit/XHXKit/Classes/Base/Define/KKLOnlineRoutePaths.h 文件参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_k_k_l_online_route_paths_8h.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">宏定义</a>  </div>
  <div class="headertitle">
<div class="title">KKLOnlineRoutePaths.h 文件参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="_k_k_l_online_route_paths_8h_source.html">浏览源代码.</a></p>
<table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
宏定义</h2></td></tr>
<tr class="memitem:af24b22681ba584961b1347b25bbda5bd"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#af24b22681ba584961b1347b25bbda5bd">KKLOnlineSelectedUserCenterItemsIndex</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/SelectedUserCenterItemsIndex&#34;</td></tr>
<tr class="separator:af24b22681ba584961b1347b25bbda5bd"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ad666be38ba3dfab1519a8c0a7286e556"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#ad666be38ba3dfab1519a8c0a7286e556">KKLOnlineFetchPWDCheckRegular</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/fetchPwdRegular&#34;</td></tr>
<tr class="separator:ad666be38ba3dfab1519a8c0a7286e556"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a8675f0f9b1cb5c882504c71441d8cb05"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#a8675f0f9b1cb5c882504c71441d8cb05">KKLOnlineFetchUserCenterShareUrl</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/fetchUserCenterShareUrl&#34;</td></tr>
<tr class="memdesc:a8675f0f9b1cb5c882504c71441d8cb05"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">获取 个人中心分享的url  <a href="_k_k_l_online_route_paths_8h.html#a8675f0f9b1cb5c882504c71441d8cb05">更多...</a><br/></td></tr>
<tr class="separator:a8675f0f9b1cb5c882504c71441d8cb05"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a0d09b953fa8dea0bbeb20261cad241b5"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#a0d09b953fa8dea0bbeb20261cad241b5">KKLOnlineFetchUserCenterPointCenterUrl</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/fetchUserCenterPointCenterUrl&#34;</td></tr>
<tr class="memdesc:a0d09b953fa8dea0bbeb20261cad241b5"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">获取 个人中心积分的url  <a href="_k_k_l_online_route_paths_8h.html#a0d09b953fa8dea0bbeb20261cad241b5">更多...</a><br/></td></tr>
<tr class="separator:a0d09b953fa8dea0bbeb20261cad241b5"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:aa712db84ca8316dbdf3a7b228ecb9dd0"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#aa712db84ca8316dbdf3a7b228ecb9dd0">KKLOnlineFetchUserAchievementShareUrl</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/fetchUserAchievementShareUrl&#34;</td></tr>
<tr class="memdesc:aa712db84ca8316dbdf3a7b228ecb9dd0"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">获取 成就页分享的url  <a href="_k_k_l_online_route_paths_8h.html#aa712db84ca8316dbdf3a7b228ecb9dd0">更多...</a><br/></td></tr>
<tr class="separator:aa712db84ca8316dbdf3a7b228ecb9dd0"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a86de7970b80efa933954fda36e158f7b"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#a86de7970b80efa933954fda36e158f7b">KKLOnlineFetchUserCenterInviteAwardsUrl</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/fetchUserCenterInviteAwardsUrl&#34;</td></tr>
<tr class="memdesc:a86de7970b80efa933954fda36e158f7b"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">获取 个人中心我的奖励  <a href="_k_k_l_online_route_paths_8h.html#a86de7970b80efa933954fda36e158f7b">更多...</a><br/></td></tr>
<tr class="separator:a86de7970b80efa933954fda36e158f7b"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a899ed8a610d92778ca5cd3ab11691d91"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#a899ed8a610d92778ca5cd3ab11691d91">KKLOnlineFetchCombineCoursesUrl</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/fetchCombineCoursesUrl&#34;</td></tr>
<tr class="memdesc:a899ed8a610d92778ca5cd3ab11691d91"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">获取 组合课程详情页url  <a href="_k_k_l_online_route_paths_8h.html#a899ed8a610d92778ca5cd3ab11691d91">更多...</a><br/></td></tr>
<tr class="separator:a899ed8a610d92778ca5cd3ab11691d91"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a223c1b3e255f349654cb868fb9961e55"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#a223c1b3e255f349654cb868fb9961e55">KKLOnlineCertificateDetailUrl</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/certificateDetailUrl&#34;</td></tr>
<tr class="memdesc:a223c1b3e255f349654cb868fb9961e55"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">获取 结课证书详情url  <a href="_k_k_l_online_route_paths_8h.html#a223c1b3e255f349654cb868fb9961e55">更多...</a><br/></td></tr>
<tr class="separator:a223c1b3e255f349654cb868fb9961e55"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a286c95731d486a114b19cf299ad3359e"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#a286c95731d486a114b19cf299ad3359e">KKLOnlineExistActivity</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/XHXUserCenterExistActivity&#34;</td></tr>
<tr class="memdesc:a286c95731d486a114b19cf299ad3359e"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">获取 一健续报  <a href="_k_k_l_online_route_paths_8h.html#a286c95731d486a114b19cf299ad3359e">更多...</a><br/></td></tr>
<tr class="separator:a286c95731d486a114b19cf299ad3359e"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a973f52e545eca0ecd512b16d013ff72f"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#a973f52e545eca0ecd512b16d013ff72f">KKLOnlineExistOrder</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/XHXUserCenterOrder&#34;</td></tr>
<tr class="memdesc:a973f52e545eca0ecd512b16d013ff72f"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">获取 未支付订单  <a href="_k_k_l_online_route_paths_8h.html#a973f52e545eca0ecd512b16d013ff72f">更多...</a><br/></td></tr>
<tr class="separator:a973f52e545eca0ecd512b16d013ff72f"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a1ce65bbc713e513952ded77d856dca94"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#a1ce65bbc713e513952ded77d856dca94">KKLOnlineExchangeCourseCenter</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/XHXUserExchangeCourseCenter&#34;</td></tr>
<tr class="separator:a1ce65bbc713e513952ded77d856dca94"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:af265ca7f52bbf7750f9e547cbeb56973"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#af265ca7f52bbf7750f9e547cbeb56973">KKLOnlineXSCMode</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/<a class="el" href="_x_h_x_u_r_l_config_8m.html#a40e74b9e955d71116e73a4f1f81065e5">XHXXSCMode</a>&#34;</td></tr>
<tr class="separator:af265ca7f52bbf7750f9e547cbeb56973"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a1a4b06a2096630201305e48b2547f731"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#a1a4b06a2096630201305e48b2547f731">KKLOnlineThirdCustomer</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/XHXUserThirdCustomer&#34;</td></tr>
<tr class="separator:a1a4b06a2096630201305e48b2547f731"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a0ab9522380d4b7bf99c1b56a89dca0d8"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#a0ab9522380d4b7bf99c1b56a89dca0d8">KKLOnlineDoHomeworkUrl</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/KKLOnlineDoHomeworkUrl&#34;</td></tr>
<tr class="separator:a0ab9522380d4b7bf99c1b56a89dca0d8"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ab2312ecff7c96bd529697d22815de03b"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#ab2312ecff7c96bd529697d22815de03b">KKLOnlinehoemworkReportUrl</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/KKLOnlinehoemworkReportUrl&#34;</td></tr>
<tr class="separator:ab2312ecff7c96bd529697d22815de03b"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a2a6117bb24ebcba6c65d4d9a9a2b8fca"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#a2a6117bb24ebcba6c65d4d9a9a2b8fca">KKLOnlineParentMonitorGuideUrl</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/KKLOnlineParentMonitorGuideUrl&#34;</td></tr>
<tr class="separator:a2a6117bb24ebcba6c65d4d9a9a2b8fca"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a9165a7fad1784a81f45b8b9e88d3a6c6"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#a9165a7fad1784a81f45b8b9e88d3a6c6">KKLOnlineEnterLiveRoomFromStudy</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/study/enterLiveRoom&#34;</td></tr>
<tr class="separator:a9165a7fad1784a81f45b8b9e88d3a6c6"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a1e32ee359f7f1e1557473769f63bd099"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#a1e32ee359f7f1e1557473769f63bd099">KKLOnlineEnterQQFromStudy</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/study/enterQQ&#34;</td></tr>
<tr class="separator:a1e32ee359f7f1e1557473769f63bd099"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:aa6f16751699cb6374accc2976632d45c"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#aa6f16751699cb6374accc2976632d45c">KKLOnlineEnterEvaluationVCFromStudy</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/study/enterEvaluationVC&#34;</td></tr>
<tr class="separator:aa6f16751699cb6374accc2976632d45c"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a7efdba0b268a7208621fd809ba4257f1"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#a7efdba0b268a7208621fd809ba4257f1">KKLOnlineEnterRecordedVCFromStudy</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/study/enterRecordedVC&#34;</td></tr>
<tr class="separator:a7efdba0b268a7208621fd809ba4257f1"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a39be94a6ac258b0f20303f1f98920cff"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#a39be94a6ac258b0f20303f1f98920cff">KKLOnlineEnterVideoOfClassFromStudy</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/study/enterVideoOfClass&#34;</td></tr>
<tr class="separator:a39be94a6ac258b0f20303f1f98920cff"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ab499e18fec082ea7ea3a8ceeec68c749"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#ab499e18fec082ea7ea3a8ceeec68c749">KKLOnlineEnterHomeworkVCFromStudy</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/study/enterHomeworkVC&#34;</td></tr>
<tr class="separator:ab499e18fec082ea7ea3a8ceeec68c749"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a0b58501962f7b45bc9068293f006c952"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#a0b58501962f7b45bc9068293f006c952">KKLOnlineEnterReportVCFromStudy</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/study/enterReportVC&#34;</td></tr>
<tr class="separator:a0b58501962f7b45bc9068293f006c952"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a50146bac94fd24abdac7c8f377dd2c86"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#a50146bac94fd24abdac7c8f377dd2c86">KKLOnlineEnterSelectCourseVCFromStudy</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/study/enterSelectCourseVC&#34;</td></tr>
<tr class="memdesc:a50146bac94fd24abdac7c8f377dd2c86"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">进入选课页面  <a href="_k_k_l_online_route_paths_8h.html#a50146bac94fd24abdac7c8f377dd2c86">更多...</a><br/></td></tr>
<tr class="separator:a50146bac94fd24abdac7c8f377dd2c86"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a7931379ab0783ce79f9afeef332c7b29"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#a7931379ab0783ce79f9afeef332c7b29">KKLOnlinePopImproveUserInfoVCFromStudy</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/study/popImproveUserInfoVC&#34;</td></tr>
<tr class="memdesc:a7931379ab0783ce79f9afeef332c7b29"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">弹出 完善用户信息界面  <a href="_k_k_l_online_route_paths_8h.html#a7931379ab0783ce79f9afeef332c7b29">更多...</a><br/></td></tr>
<tr class="separator:a7931379ab0783ce79f9afeef332c7b29"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a19bc9bd931cb1af6ecea0a7bcbfe3923"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#a19bc9bd931cb1af6ecea0a7bcbfe3923">KKLOnlineEnterTestTaskFromStudy</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/study/enterTestTask&#34;</td></tr>
<tr class="separator:a19bc9bd931cb1af6ecea0a7bcbfe3923"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ab2965bf61829bf1c87564f1716522972"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#ab2965bf61829bf1c87564f1716522972">KKLOnlineGetTeacherH5URL</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/live/fetchTeacherH5Url&#34;</td></tr>
<tr class="separator:ab2965bf61829bf1c87564f1716522972"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a92390b4d9f0d2e85035a0ad0b42b69fe"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#a92390b4d9f0d2e85035a0ad0b42b69fe">KKLOnlineSwitchRootVCSelectedIndex</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/switchRootVCSelectedIndex&#34;</td></tr>
<tr class="separator:a92390b4d9f0d2e85035a0ad0b42b69fe"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ac71bdb971526c53c12e332e1be399fa0"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#ac71bdb971526c53c12e332e1be399fa0">KKLOnlineEnterAnswerSheetVCFromAllCourse</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/study/enterAnswerSheetVC&#34;</td></tr>
<tr class="separator:ac71bdb971526c53c12e332e1be399fa0"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a5fa919d81dabe4466a27ec5db1ae59cf"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#a5fa919d81dabe4466a27ec5db1ae59cf">KKLOnlineGotoClassNoteDetailFromAllCourse</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/study/gotoCLassNoteDetail&#34;</td></tr>
<tr class="separator:a5fa919d81dabe4466a27ec5db1ae59cf"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ae43a29719103a3095683fb3b10ab28cb"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#ae43a29719103a3095683fb3b10ab28cb">KKLOnlineGetCourseDetailURL</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/live/fetchCourseDetailUrl&#34;</td></tr>
<tr class="memdesc:ae43a29719103a3095683fb3b10ab28cb"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">KKLOnlineEnterEvaluationVCFromStudy 从全部课程跳转评价页  <a href="_k_k_l_online_route_paths_8h.html#ae43a29719103a3095683fb3b10ab28cb">更多...</a><br/></td></tr>
<tr class="separator:ae43a29719103a3095683fb3b10ab28cb"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a02c64fd455337d57c424c054b05f1c9c"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#a02c64fd455337d57c424c054b05f1c9c">KKLOnlineGetConfirmOrderURL</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/live/fetchConfirmOrderUrl&#34;</td></tr>
<tr class="separator:a02c64fd455337d57c424c054b05f1c9c"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a828de4aa8d81220ac03c5e16e52679ee"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#a828de4aa8d81220ac03c5e16e52679ee">KKLOnlineGetPaySuccessURL</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/live/fetchPaySuccessUrl&#34;</td></tr>
<tr class="separator:a828de4aa8d81220ac03c5e16e52679ee"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a9b766ccad3d1195710c0a8a2a25970c2"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#a9b766ccad3d1195710c0a8a2a25970c2">KKLOnlineGetCourseGroupDetailURL</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/live/fetchCourseGroupDetailUrl&#34;</td></tr>
<tr class="memdesc:a9b766ccad3d1195710c0a8a2a25970c2"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">团购详情页  <a href="_k_k_l_online_route_paths_8h.html#a9b766ccad3d1195710c0a8a2a25970c2">更多...</a><br/></td></tr>
<tr class="separator:a9b766ccad3d1195710c0a8a2a25970c2"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a98663813acbdebd52cbcfbf6df1accef"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#a98663813acbdebd52cbcfbf6df1accef">KKLOnlineGetCourseJointOfferURL</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/live/fetchCourseJointOfferUrl&#34;</td></tr>
<tr class="memdesc:a98663813acbdebd52cbcfbf6df1accef"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">课程联报查看详情  <a href="_k_k_l_online_route_paths_8h.html#a98663813acbdebd52cbcfbf6df1accef">更多...</a><br/></td></tr>
<tr class="separator:a98663813acbdebd52cbcfbf6df1accef"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:accbc8ca4a85378fbc71b119b54a46d73"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#accbc8ca4a85378fbc71b119b54a46d73">KKLOnlineEnterLiveRoomFromCourseDetail</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/courseDetail/enterLiveRoom&#34;</td></tr>
<tr class="separator:accbc8ca4a85378fbc71b119b54a46d73"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ac13a8b692ff94b07eaf5ae444b47ea31"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#ac13a8b692ff94b07eaf5ae444b47ea31">KKLOnlineEnterRecordVideoFreeFromCourseDetail</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/courseDetail/enterRecordVideoFree&#34;</td></tr>
<tr class="separator:ac13a8b692ff94b07eaf5ae444b47ea31"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a07480ce8c06fb9d52dd51306bc34f2a4"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#a07480ce8c06fb9d52dd51306bc34f2a4">KKLOnlineEnterRecordFromSelectCourse</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/selectCourse/enterRecord&#34;</td></tr>
<tr class="separator:a07480ce8c06fb9d52dd51306bc34f2a4"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a1dd217f10ef058a4dc3a606e438e9441"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#a1dd217f10ef058a4dc3a606e438e9441">KKLOnlineAnalyseVC</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/courseDetail/AnalyseVC&#34;</td></tr>
<tr class="separator:a1dd217f10ef058a4dc3a606e438e9441"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ae9de7c910a980da20a03fd324f348308"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#ae9de7c910a980da20a03fd324f348308">KKLOnlineAnalyseProblemResultVC</a>&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/courseDetail/AnalyseProblemResultVC&#34;</td></tr>
<tr class="separator:ae9de7c910a980da20a03fd324f348308"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a7d554920108ef8fe99dac99854afdb5a"><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_k_k_l_online_route_paths_8h.html#a7d554920108ef8fe99dac99854afdb5a">KKLOnlineAnalyseFetchRootVCSelected</a>&nbsp;&nbsp;&nbsp;@&#34;main/rootVC/selectedVC&#34;</td></tr>
<tr class="memdesc:a7d554920108ef8fe99dac99854afdb5a"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">&zwj;**  <a href="_k_k_l_online_route_paths_8h.html#a7d554920108ef8fe99dac99854afdb5a">更多...</a><br/></td></tr>
<tr class="separator:a7d554920108ef8fe99dac99854afdb5a"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<h2 class="groupheader">宏定义说明</h2>
<a id="a7d554920108ef8fe99dac99854afdb5a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d554920108ef8fe99dac99854afdb5a">◆&nbsp;</a></span>KKLOnlineAnalyseFetchRootVCSelected</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineAnalyseFetchRootVCSelected&nbsp;&nbsp;&nbsp;@&#34;main/rootVC/selectedVC&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

<p>&zwj;** </p>
<p>&zwj;** </p>

</div>
</div>
<a id="ae9de7c910a980da20a03fd324f348308"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9de7c910a980da20a03fd324f348308">◆&nbsp;</a></span>KKLOnlineAnalyseProblemResultVC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineAnalyseProblemResultVC&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/courseDetail/AnalyseProblemResultVC&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>诊断结果页 参数: (NSNumber*) productId:产品ID </p>

</div>
</div>
<a id="a1dd217f10ef058a4dc3a606e438e9441"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1dd217f10ef058a4dc3a606e438e9441">◆&nbsp;</a></span>KKLOnlineAnalyseVC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineAnalyseVC&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/courseDetail/AnalyseVC&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>诊断 参数: (NSNumber*) productId:产品ID </p>

</div>
</div>
<a id="a223c1b3e255f349654cb868fb9961e55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a223c1b3e255f349654cb868fb9961e55">◆&nbsp;</a></span>KKLOnlineCertificateDetailUrl</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineCertificateDetailUrl&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/certificateDetailUrl&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

<p>获取 结课证书详情url </p>

</div>
</div>
<a id="a0ab9522380d4b7bf99c1b56a89dca0d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ab9522380d4b7bf99c1b56a89dca0d8">◆&nbsp;</a></span>KKLOnlineDoHomeworkUrl</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineDoHomeworkUrl&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/KKLOnlineDoHomeworkUrl&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="ac71bdb971526c53c12e332e1be399fa0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac71bdb971526c53c12e332e1be399fa0">◆&nbsp;</a></span>KKLOnlineEnterAnswerSheetVCFromAllCourse</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineEnterAnswerSheetVCFromAllCourse&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/study/enterAnswerSheetVC&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>全部课程跳转答题界面(作业详情) 参数：lessonId, homeworkStatus, paperType </p>

</div>
</div>
<a id="aa6f16751699cb6374accc2976632d45c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6f16751699cb6374accc2976632d45c">◆&nbsp;</a></span>KKLOnlineEnterEvaluationVCFromStudy</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineEnterEvaluationVCFromStudy&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/study/enterEvaluationVC&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>进入评价界面 参数： lessonId 课程Id </p>

</div>
</div>
<a id="ab499e18fec082ea7ea3a8ceeec68c749"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab499e18fec082ea7ea3a8ceeec68c749">◆&nbsp;</a></span>KKLOnlineEnterHomeworkVCFromStudy</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineEnterHomeworkVCFromStudy&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/study/enterHomeworkVC&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>跳转作业详情 参数: lessonId 课节Id homeworkState 作业状态 paperType 试卷类型 </p>

</div>
</div>
<a id="accbc8ca4a85378fbc71b119b54a46d73"></a>
<h2 class="memtitle"><span class="permalink"><a href="#accbc8ca4a85378fbc71b119b54a46d73">◆&nbsp;</a></span>KKLOnlineEnterLiveRoomFromCourseDetail</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineEnterLiveRoomFromCourseDetail&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/courseDetail/enterLiveRoom&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>进入直播间 参数： liveId 直播间Id </p>

</div>
</div>
<a id="a9165a7fad1784a81f45b8b9e88d3a6c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9165a7fad1784a81f45b8b9e88d3a6c6">◆&nbsp;</a></span>KKLOnlineEnterLiveRoomFromStudy</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineEnterLiveRoomFromStudy&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/study/enterLiveRoom&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>进入直播间 参数： liveId 直播间Id </p>

</div>
</div>
<a id="a1e32ee359f7f1e1557473769f63bd099"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e32ee359f7f1e1557473769f63bd099">◆&nbsp;</a></span>KKLOnlineEnterQQFromStudy</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineEnterQQFromStudy&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/study/enterQQ&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>跳转QQ群 参数： qq QQ号 </p>

</div>
</div>
<a id="a7efdba0b268a7208621fd809ba4257f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7efdba0b268a7208621fd809ba4257f1">◆&nbsp;</a></span>KKLOnlineEnterRecordedVCFromStudy</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineEnterRecordedVCFromStudy&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/study/enterRecordedVC&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>进入录播间 参数： title 标题 courseId 课程Id lessonId 课节Id videoURL 视频路径 videoType 视频类型 0：回放 1：课前视频 2：课后视频 lastPlayTime 最后播放时间 </p>

</div>
</div>
<a id="a07480ce8c06fb9d52dd51306bc34f2a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a07480ce8c06fb9d52dd51306bc34f2a4">◆&nbsp;</a></span>KKLOnlineEnterRecordFromSelectCourse</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineEnterRecordFromSelectCourse&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/selectCourse/enterRecord&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>选课页进入录播间 videoURL：视频地址 </p>

</div>
</div>
<a id="ac13a8b692ff94b07eaf5ae444b47ea31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac13a8b692ff94b07eaf5ae444b47ea31">◆&nbsp;</a></span>KKLOnlineEnterRecordVideoFreeFromCourseDetail</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineEnterRecordVideoFreeFromCourseDetail&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/courseDetail/enterRecordVideoFree&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>课程详情进入录播间 参数： 试看 参数: resourceId:资源ID videoURL：视频地址 originType：视频类型0：LIVE_COURSE;1:BEFORE_COURSE;2:AFTER_COURSE </p>

</div>
</div>
<a id="a0b58501962f7b45bc9068293f006c952"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b58501962f7b45bc9068293f006c952">◆&nbsp;</a></span>KKLOnlineEnterReportVCFromStudy</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineEnterReportVCFromStudy&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/study/enterReportVC&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>跳转学情报告 参数： courseId：课程Id </p>

</div>
</div>
<a id="a50146bac94fd24abdac7c8f377dd2c86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a50146bac94fd24abdac7c8f377dd2c86">◆&nbsp;</a></span>KKLOnlineEnterSelectCourseVCFromStudy</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineEnterSelectCourseVCFromStudy&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/study/enterSelectCourseVC&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

<p>进入选课页面 </p>

</div>
</div>
<a id="a19bc9bd931cb1af6ecea0a7bcbfe3923"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19bc9bd931cb1af6ecea0a7bcbfe3923">◆&nbsp;</a></span>KKLOnlineEnterTestTaskFromStudy</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineEnterTestTaskFromStudy&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/study/enterTestTask&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>进入测试任务界面 参数： lesonId：课节Id status：任务状态 1:未提交；2:已提交；3:已批改 resourceId 资源Id </p>

</div>
</div>
<a id="a39be94a6ac258b0f20303f1f98920cff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39be94a6ac258b0f20303f1f98920cff">◆&nbsp;</a></span>KKLOnlineEnterVideoOfClassFromStudy</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineEnterVideoOfClassFromStudy&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/study/enterVideoOfClass&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>进入课前课后视频界面 参数： title 标题 courseId 课程Id lessonId 课节Id originLessonId 视频Id 对应观看时间上报的orininId videoURL 视频路径 videoType 视频类型 0：回放 1：课前视频 2：课后视频 lastPlayTime 最后播放时间 </p>

</div>
</div>
<a id="a1ce65bbc713e513952ded77d856dca94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ce65bbc713e513952ded77d856dca94">◆&nbsp;</a></span>KKLOnlineExchangeCourseCenter</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineExchangeCourseCenter&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/XHXUserExchangeCourseCenter&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a286c95731d486a114b19cf299ad3359e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a286c95731d486a114b19cf299ad3359e">◆&nbsp;</a></span>KKLOnlineExistActivity</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineExistActivity&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/XHXUserCenterExistActivity&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

<p>获取 一健续报 </p>

</div>
</div>
<a id="a973f52e545eca0ecd512b16d013ff72f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a973f52e545eca0ecd512b16d013ff72f">◆&nbsp;</a></span>KKLOnlineExistOrder</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineExistOrder&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/XHXUserCenterOrder&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

<p>获取 未支付订单 </p>

</div>
</div>
<a id="a899ed8a610d92778ca5cd3ab11691d91"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a899ed8a610d92778ca5cd3ab11691d91">◆&nbsp;</a></span>KKLOnlineFetchCombineCoursesUrl</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineFetchCombineCoursesUrl&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/fetchCombineCoursesUrl&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

<p>获取 组合课程详情页url </p>

</div>
</div>
<a id="ad666be38ba3dfab1519a8c0a7286e556"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad666be38ba3dfab1519a8c0a7286e556">◆&nbsp;</a></span>KKLOnlineFetchPWDCheckRegular</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineFetchPWDCheckRegular&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/fetchPwdRegular&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="aa712db84ca8316dbdf3a7b228ecb9dd0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa712db84ca8316dbdf3a7b228ecb9dd0">◆&nbsp;</a></span>KKLOnlineFetchUserAchievementShareUrl</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineFetchUserAchievementShareUrl&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/fetchUserAchievementShareUrl&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

<p>获取 成就页分享的url </p>

</div>
</div>
<a id="a86de7970b80efa933954fda36e158f7b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86de7970b80efa933954fda36e158f7b">◆&nbsp;</a></span>KKLOnlineFetchUserCenterInviteAwardsUrl</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineFetchUserCenterInviteAwardsUrl&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/fetchUserCenterInviteAwardsUrl&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

<p>获取 个人中心我的奖励 </p>

</div>
</div>
<a id="a0d09b953fa8dea0bbeb20261cad241b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0d09b953fa8dea0bbeb20261cad241b5">◆&nbsp;</a></span>KKLOnlineFetchUserCenterPointCenterUrl</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineFetchUserCenterPointCenterUrl&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/fetchUserCenterPointCenterUrl&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

<p>获取 个人中心积分的url </p>

</div>
</div>
<a id="a8675f0f9b1cb5c882504c71441d8cb05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8675f0f9b1cb5c882504c71441d8cb05">◆&nbsp;</a></span>KKLOnlineFetchUserCenterShareUrl</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineFetchUserCenterShareUrl&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/fetchUserCenterShareUrl&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

<p>获取 个人中心分享的url </p>

</div>
</div>
<a id="a02c64fd455337d57c424c054b05f1c9c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02c64fd455337d57c424c054b05f1c9c">◆&nbsp;</a></span>KKLOnlineGetConfirmOrderURL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineGetConfirmOrderURL&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/live/fetchConfirmOrderUrl&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="ae43a29719103a3095683fb3b10ab28cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae43a29719103a3095683fb3b10ab28cb">◆&nbsp;</a></span>KKLOnlineGetCourseDetailURL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineGetCourseDetailURL&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/live/fetchCourseDetailUrl&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

<p>KKLOnlineEnterEvaluationVCFromStudy 从全部课程跳转评价页 </p>

</div>
</div>
<a id="a9b766ccad3d1195710c0a8a2a25970c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b766ccad3d1195710c0a8a2a25970c2">◆&nbsp;</a></span>KKLOnlineGetCourseGroupDetailURL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineGetCourseGroupDetailURL&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/live/fetchCourseGroupDetailUrl&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

<p>团购详情页 </p>

</div>
</div>
<a id="a98663813acbdebd52cbcfbf6df1accef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98663813acbdebd52cbcfbf6df1accef">◆&nbsp;</a></span>KKLOnlineGetCourseJointOfferURL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineGetCourseJointOfferURL&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/live/fetchCourseJointOfferUrl&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

<p>课程联报查看详情 </p>

</div>
</div>
<a id="a828de4aa8d81220ac03c5e16e52679ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a828de4aa8d81220ac03c5e16e52679ee">◆&nbsp;</a></span>KKLOnlineGetPaySuccessURL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineGetPaySuccessURL&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/live/fetchPaySuccessUrl&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="ab2965bf61829bf1c87564f1716522972"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2965bf61829bf1c87564f1716522972">◆&nbsp;</a></span>KKLOnlineGetTeacherH5URL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineGetTeacherH5URL&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/live/fetchTeacherH5Url&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>进入课程详情页 参数： productId 商品Id 点击教师cell 参数： linkUrl ：链接地址 </p>

</div>
</div>
<a id="a5fa919d81dabe4466a27ec5db1ae59cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5fa919d81dabe4466a27ec5db1ae59cf">◆&nbsp;</a></span>KKLOnlineGotoClassNoteDetailFromAllCourse</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineGotoClassNoteDetailFromAllCourse&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/study/gotoCLassNoteDetail&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="ab2312ecff7c96bd529697d22815de03b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2312ecff7c96bd529697d22815de03b">◆&nbsp;</a></span>KKLOnlinehoemworkReportUrl</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlinehoemworkReportUrl&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/KKLOnlinehoemworkReportUrl&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a2a6117bb24ebcba6c65d4d9a9a2b8fca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a6117bb24ebcba6c65d4d9a9a2b8fca">◆&nbsp;</a></span>KKLOnlineParentMonitorGuideUrl</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineParentMonitorGuideUrl&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/KKLOnlineParentMonitorGuideUrl&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a7931379ab0783ce79f9afeef332c7b29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7931379ab0783ce79f9afeef332c7b29">◆&nbsp;</a></span>KKLOnlinePopImproveUserInfoVCFromStudy</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlinePopImproveUserInfoVCFromStudy&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/study/popImproveUserInfoVC&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

<p>弹出 完善用户信息界面 </p>

</div>
</div>
<a id="af24b22681ba584961b1347b25bbda5bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af24b22681ba584961b1347b25bbda5bd">◆&nbsp;</a></span>KKLOnlineSelectedUserCenterItemsIndex</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineSelectedUserCenterItemsIndex&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/SelectedUserCenterItemsIndex&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>选中个人中心item的index 参数： index ： 选中的坐标 </p>

</div>
</div>
<a id="a92390b4d9f0d2e85035a0ad0b42b69fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a92390b4d9f0d2e85035a0ad0b42b69fe">◆&nbsp;</a></span>KKLOnlineSwitchRootVCSelectedIndex</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineSwitchRootVCSelectedIndex&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/switchRootVCSelectedIndex&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>切换跟视图控制器的选中VC </p>

</div>
</div>
<a id="a1a4b06a2096630201305e48b2547f731"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a4b06a2096630201305e48b2547f731">◆&nbsp;</a></span>KKLOnlineThirdCustomer</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineThirdCustomer&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/XHXUserThirdCustomer&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="af265ca7f52bbf7750f9e547cbeb56973"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af265ca7f52bbf7750f9e547cbeb56973">◆&nbsp;</a></span>KKLOnlineXSCMode</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">#define KKLOnlineXSCMode&nbsp;&nbsp;&nbsp;@&#34;KKLOnline/<a class="el" href="_x_h_x_u_r_l_config_8m.html#a40e74b9e955d71116e73a4f1f81065e5">XHXXSCMode</a>&#34;</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d522931ffa1371640980b621734a4381.html">Users</a></li><li class="navelem"><a class="el" href="dir_2f48480e0fdb0436fb8fd57a1ed5f613.html">scar1900</a></li><li class="navelem"><a class="el" href="dir_c8b33409012acfc781ba898892fd3b4c.html">Developer</a></li><li class="navelem"><a class="el" href="dir_0e1030ab80149b7e8d6dfd17946e9c40.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_c9ece41fcb3917ec137dcec44cd0055f.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_3a9521ad7c4429598be7e28fa39d3d14.html">Classes</a></li><li class="navelem"><a class="el" href="dir_e594291297641f362044084ee3bd79c2.html">Base</a></li><li class="navelem"><a class="el" href="dir_5b328c48b3da945f8bff47b8f58e015b.html">Define</a></li><li class="navelem"><a class="el" href="_k_k_l_online_route_paths_8h.html">KKLOnlineRoutePaths.h</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>